# notifier

### Что делает

 - сохраняет тех, кому уведомления уже были отправлены (redis: authors-online)
 - формирует дайджесты для остальных
 - слушает Redis PubSub канал с обновлениями реакций


### Что НЕ делает

 - не отправляет сообщения по SSE
 - не определяет кому их отправлять


## Как разрабатывать локально

1 Читаем доки [strawberry](https://strawberry.rocks/docs/general/schema-basics)

2 Устанавливаем локальные хранилища
- Redis
- Postgres

3 Запуск локального сервера

```shell
mkdir .venv
python3.12 -m venv .venv
poetry env use .venv/bin/python3.12
poetry update
poetry run strawberry server main
```
